#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityMayDayCardCollectingCFGData
{
	//任务ID
	int mID;
	//集齐类型
	int mCollectingType;
	//集齐奖励
	std::vector<int> mCollectingReward;
	//集齐奖励数量
	std::vector<int> mCollectingQuantity;
};

class M_ActivityMayDayCardCollectingCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMayDayCardCollectingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMayDayCardCollectingCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityMayDayCardCollectingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityMayDayCardCollectingCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityMayDayCardCollectingCFGData> mMapData;
};
